{% extends 'base.html.twig' %}

{% block title %}Hello Booking!{% endblock %}

{% block stylesheets %}
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.8.0/css/bootstrap-datepicker.min.css"/>
{% endblock %}

{% block body %}
<div class="container">
<h1>reserver l annonce {{ad.title}}</h1>
{{form_start(form)}}
<div class="alert alert-light">
<div class="row">
<div class="col">
{{form_row(form.startDate)}}
</div>
<div class="col">
{{form_row(form.endDate)}}
</div></div></div>
<h4>montant de sejour:<span id="amount">...</span> &euro;</h4>
<span id="days">0</span> nuits a {{ad.price}}/nuit
<h2>you have comment</h2>
{{form_row(form.comment)}}
<button type="submit" class="btn btn-success">reserve</button>
{{form_end(form)}}
</div>
{% endblock %}

{% block javascripts %}
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.8.0/js/bootstrap-datepicker.min.js">
</script><script>
$(document).ready(function(){
$('#booking_startDate, #booking_endDate').datepicker({
format:'dd/mm/yyyy',
datesDisabled:[
{%for day in ad.getNotAvailableDays()%}
"{{day.format('d/m/Y')}}",
{%endfor%}
],
startDate:new Date()
});
$('#booking_startDate, #booking_endDate').on('change',calculateAmount);
});
function calculateAmount(){
const endDate=new Date($('#booking_endDate').val().replace(/(\d+)\/(\d+)\/(\d{4})/,'$3-$2-$1'));
{#}
18/09/2108
(\d+)\/(\d+)\/(\d{4})
2018-09-18
{#}
const startDate=new Date($('#booking_startDate').val().replace(/(\d+)\/(\d+)\/(\d{4})/,'$3-$2-$1'));
if(startDate && endDate && startDate < endDate){
const DAY_TIME=24*60*60*1000;
const interval=endDate.getTime()-startDate.getTime();
const days = interval/ DAY_TIME;
const amount=days*{{ad.price}};
$('#days').text(days);
$('#amount').text(amount);

}
}


</script>
{% endblock %}
